# frozen_string_literal: true

require 'thor'
require 'voucher'

module Voucher
  class CLI < Thor
    desc 'validate FILE', 'Validate that the segments in a given json file exist in ' \
      'an Election through the Ethereum blockchain'
    long_desc <<-D
      Ingest a file full of segments encoded in JSON and validates that each one
      exists in an Election through the Ethereum blockchain.
    D
    method_option :host, type: :string, aliases: '-h'
    def validate(segments_file)
      configure
      puts 'Validation SUCCESSFUL!' if Voucher::Validator.call(segments_file)
    end

    private

    def configure
      Voucher.configure do |config|
        config.ethereum_url = options['host'] if options['host']
      end
    end
  end
end
