# frozen_string_literal: true

require 'mixlib/config'

module Config
  extend Mixlib::Config
  config_strict_mode true

  ABI_FILE_NAME = File.join(File.dirname(__FILE__), 'config', 'json', 'chain.json')

  default :ethereum_url, ENV['ETHEREUM_URL'] || 'http://52.208.46.161:8549'
  default :default_account, ENV['DEFAULT_ACCOUNT'] || '0x1B380DC721280DdBD4E0Cbf342Bf2c23A5FEC96A'
  default :chain_abi, File.read(ABI_FILE_NAME)

  default :metrics, []
  default :aggregated_metric_types, []
  default :non_aggregated_metric_types, []
  default :cost_metrics, []
  default :compound_metrics, {}
  default :compound_metric_types, []
  default :metric_types, []
end
