# frozen_string_literal: true

module Voucher
  class VoucherError < StandardError; end

  class InvalidSegment < VoucherError
    def initialize
      super('Segment not found in the winning hash')
    end
  end

  class RootHashNotFound < VoucherError
    def initialize(block_height, shard)
      super("Root hash from blockHeight #{block_height}, shard #{shard} was not found.")
    end
  end
end
