# frozen_string_literal: true

module Voucher
  class SegmentsReader
    attr_reader :file_name

    def self.call(file_name)
      new(file_name).call
    end

    def initialize(file_name)
      @file_name = file_name
    end

    def call
      read_file
    end

    private

    def read_file
      path = File.expand_path(file_name)

      File.read(path)
    end
  end
end
